QScintilla: QsciLexerPOV Class Reference

# QsciLexerPOV Class Reference

The QsciLexerPOV class encapsulates the Scintilla POV lexer. More...

`#include <qscilexerpov.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, CommentLine = 2,
  Number = 3, Operator = 4, Identifier = 5,
  String = 6, UnclosedString = 7, Directive = 8,
  BadDirective = 9, ObjectsCSGAppearance = 10, TypesModifiersItems = 11,
  PredefinedIdentifiers = 12, PredefinedFunctions = 13, KeywordSet6 = 14,
  KeywordSet7 = 15, KeywordSet8 = 16
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)
- virtual void setFoldDirectives (bool fold)

## Public Member Functions

- QsciLexerPOV (QObject *parent=0, const char *name=0)
- virtual ~QsciLexerPOV ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldCompact () const
- bool foldDirectives () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerPOV class encapsulates the Scintilla POV lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the POV lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  CommentLine | A comment line.
  Number | A number.
  Operator | An operator.
  Identifier | An identifier.
  String | A string.
  UnclosedString | The end of a line where a string is not closed.
  Directive | A directive.
  BadDirective | A bad directive.
  ObjectsCSGAppearance | Objects, CSG and appearance.
  TypesModifiersItems | Types, modifiers and items.
  PredefinedIdentifiers | Predefined identifiers.
  PredefinedFunctions | Predefined identifiers.
  KeywordSet6 | A keyword defined in keyword set number 6. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet7 | A keyword defined in keyword set number 7. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet8 | A keyword defined in keyword set number 8. The class must be sub-classed and re-implement keywords() to make use of this style.

## Constructor & Destructor Documentation

QsciLexerPOV::QsciLexerPOV | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QsciLexerPOV with parent parent and name name. parent is typically the QsciScintilla instance.

virtual QsciLexerPOV::~QsciLexerPOV | ( |  | ) | `[virtual]`

Destroys the QsciLexerPOV instance.

## Member Function Documentation

const char* QsciLexerPOV::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QsciLexer.

const char* QsciLexerPOV::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QsciLexer.

QColor QsciLexerPOV::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

bool QsciLexerPOV::defaultEolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexer.

QFont QsciLexerPOV::defaultFont | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QsciLexer.

QColor QsciLexerPOV::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerPOV::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerPOV::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerPOV::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerPOV::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool QsciLexerPOV::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

bool QsciLexerPOV::foldDirectives | ( |  | ) | const

Returns true if directives can be folded.

See also:
  setFoldDirectives()

virtual void QsciLexerPOV::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

virtual void QsciLexerPOV::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

virtual void QsciLexerPOV::setFoldDirectives | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then directives can be folded. The default is false.

See also:
  foldDirectives()

bool QsciLexerPOV::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

bool QsciLexerPOV::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.